import * as _emotion_styled from '@emotion/styled';
import * as react from 'react';

interface Styles {
    base?: string;
    [key: string]: string | undefined;
}
declare const Mess: (styles: Styles | string) => string;
/**
 * Dynamically merge styles for specific breakpoints.
 * @param baseStyles - The base styles object (e.g., theme styles).
 * @param overrides - The overrides object with custom styles.
 * @returns Merged styles object.
 */
declare const Clx: (baseStyles: Styles | string, overrides: Styles) => Styles;

/** @jsxImportSource @emotion/react */
declare const Button: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, {}>;
declare const Text: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLParagraphElement>, HTMLParagraphElement>, {}>;
declare const Image: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.ImgHTMLAttributes<HTMLImageElement>, HTMLImageElement>, {}>;
declare const Box: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
declare const Input: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, {}>;
declare const Label: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.LabelHTMLAttributes<HTMLLabelElement>, HTMLLabelElement>, {}>;
declare const Ul: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLUListElement>, HTMLUListElement>, {}>;
declare const Li: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.LiHTMLAttributes<HTMLLIElement>, HTMLLIElement>, {}>;
declare const Footer: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Form: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.FormHTMLAttributes<HTMLFormElement>, HTMLFormElement>, {}>;
declare const Span: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
declare const A: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.AnchorHTMLAttributes<HTMLAnchorElement>, HTMLAnchorElement>, {}>;
declare const Select: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.SelectHTMLAttributes<HTMLSelectElement>, HTMLSelectElement>, {}>;
declare const Option: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.OptionHTMLAttributes<HTMLOptionElement>, HTMLOptionElement>, {}>;
declare const Header: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Main: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Article: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Section: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Aside: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Nav: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const H1: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>, {}>;
declare const H2: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>, {}>;
declare const H3: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>, {}>;
declare const H4: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>, {}>;
declare const H5: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>, {}>;
declare const H6: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>, {}>;
declare const Table: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.TableHTMLAttributes<HTMLTableElement>, HTMLTableElement>, {}>;
declare const Thead: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLTableSectionElement>, HTMLTableSectionElement>, {}>;
declare const Tbody: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLTableSectionElement>, HTMLTableSectionElement>, {}>;
declare const Tr: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLTableRowElement>, HTMLTableRowElement>, {}>;
declare const Th: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.ThHTMLAttributes<HTMLTableHeaderCellElement>, HTMLTableHeaderCellElement>, {}>;
declare const Td: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.TdHTMLAttributes<HTMLTableDataCellElement>, HTMLTableDataCellElement>, {}>;
declare const Pre: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLPreElement>, HTMLPreElement>, {}>;
declare const Code: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Blockquote: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.BlockquoteHTMLAttributes<HTMLQuoteElement>, HTMLQuoteElement>, {}>;
declare const Hr: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLHRElement>, HTMLHRElement>, {}>;
declare const Br: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLBRElement>, HTMLBRElement>, {}>;
declare const Progress: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.ProgressHTMLAttributes<HTMLProgressElement>, HTMLProgressElement>, {}>;
declare const Iframe: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.IframeHTMLAttributes<HTMLIFrameElement>, HTMLIFrameElement>, {}>;
declare const Canvas: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.CanvasHTMLAttributes<HTMLCanvasElement>, HTMLCanvasElement>, {}>;
declare const Video: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.VideoHTMLAttributes<HTMLVideoElement>, HTMLVideoElement>, {}>;
declare const Audio: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.AudioHTMLAttributes<HTMLAudioElement>, HTMLAudioElement>, {}>;
declare const Figure: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Figcaption: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Details: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.DetailsHTMLAttributes<HTMLDetailsElement>, HTMLDetailsElement>, {}>;
declare const Summary: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Mark: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Time: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.TimeHTMLAttributes<HTMLTimeElement>, HTMLTimeElement>, {}>;
declare const Meter: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.MeterHTMLAttributes<HTMLMeterElement>, HTMLMeterElement>, {}>;
declare const B: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const I: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Small: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Strong: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Abbr: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Sub: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
declare const Sup: _emotion_styled.StyledComponent<any, react.DetailedHTMLProps<react.HTMLAttributes<HTMLElement>, HTMLElement>, {}>;

export { A, Abbr, Article, Aside, Audio, B, Blockquote, Box, Br, Button, Canvas, Clx, Code, Details, Figcaption, Figure, Footer, Form, H1, H2, H3, H4, H5, H6, Header, Hr, I, Iframe, Image, Input, Label, Li, Main, Mark, Meter, Nav, Option, Pre, Progress, Section, Select, Small, Span, Strong, Sub, Summary, Sup, Table, Tbody, Td, Text, Th, Thead, Time, Tr, Ul, Video, Mess as default };
